Subject: bug#69478: 30.0.50; Emacs dies after scrolling in eww

From: Po Lu <[email-masked]>
Date: Sun, 03 Mar 2024 14:56:58 +0800

Eli Zaretskii <[email-masked]> writes:

> Unfortunately, the backtrace still shows the error was processed
> asynchronously.  I have no idea how this is possible.  Po Lu, did we
> somehow circumvent the x-synchronize mechanism on the master branch?

No, I cannot explain this, except as a result of some code bypassing
Xlib to issue CopyArea requests unaffected by Xlib synchronization.
This suggests that cairo is the culprit, but to be certain, please build
Emacs `--without-cairo' and test whether that eliminates the crash.